%global pypi_name Pint
%global pkg_name pint
%global _description %{expand:
Pint is a Python package to define, operate and manipulate physical
quantities: the product of a numerical value and a unit of measurement.
It allows arithmetic operations between them and conversions from and
to different units.
It is distributed with a comprehensive list of physical units, prefixes
and constants. Due to its modular design, you can extend (or even rewrite!)
the complete list without changing the source code. It supports a lot of
numpy mathematical operations without monkey patching or wrapping numpy.}

Summary:        Physical quantities module
Name:           python-%{pkg_name}
Version:        0.20.1
Release:        2%{?dist}
License:        BSD
URL:            https://github.com/hgrecco/pint
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pkg_name}
Summary:        %{summary}

%description -n python3-%{pkg_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pkg_name}

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/%{pkg_name}-convert
%{python3_sitelib}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 kianli <kianli@tencent.com> - 0.20.1-1
- initial build
